Subject: Position and styling of icons for required and changed fields in TCE forms are wrong
Description

Since TYPO3 4.4 we have got a new position for the small reddish arrow marking a change of a field and the yellowish triangle
marking a required field with an empty value.

These icons are now positioned to the right of the label of a field instead of to the left of the field itself, which was the original position
before.

The problem with the arrow is, that it doesn't point to the changed field anymore but to the right of the label, which is just empty.
The triangle is much too close to the label.

Currently there are two variants we have in mind to fix this:

1. Move both to the left of the field again and leave an empty space there, if none of the icons is visible, to avoid shifting the field to the
right.
2. Get rid of these icons and use background- and/or border-colors to mark the fields in a certain way.

We need a decision here as soon as possible, so that this can be fixed for RC1

Related issues:
related to TYPO3 CMS Usability Team - Suggestion # 36052: Visual improvements... Resolved

History
#1 - 2011-01-14 17:12 - Lars Zimmermann

Hi Joey,

I think to have the icons removed and fields colored would work great in terms of the "attention" something is missing case... If something is wrong the
field-background would change to a certain colour, but I think to have each field colored somebody changed something in would be awful.

So in my opinion the better way would be to create a white-space indent for the whole form to put the icons again in front of the fields. I think instead of
the actual margin-left: 10px a value of 25px would be fine. Though the formular is not aligned anymore with the first word in the first tab, I think that's
the best solution. And as long as the difference between the word from the first tab and the rest of the form is big enough it should work...

cheers and thanks joey!
lars

#2 - 2011-01-16 14:51 - Jens Hoffmann

+1 for Lars suggestion.

Maybe a better Icon would be a nice to have.
Greez Jens

#3 - 2011-01-20 09:30 - Lars Zimmermann
- Status changed from New to Under Review

#4 - 2012-07-06 12:27 - Jens Hoffmann
- File Input-States.png added
- Status changed from Under Review to Needs Feedback

Did a quick Design for this "problem".
The Indicator at the left side are for color-blind people.

Greez Jens

Input-States.png

#5 - 2012-07-08 09:27 - Steffen Ritter

Will tackle this one today...
2 things to question: how to indicate changes, errors and requirements in non ative tabs?

Hope to talk to Lars about this today....

#6 - 2012-07-09 14:05 - Jens Hoffmann
- Category changed from Interface to Design
- Assigned To set to Jens Hoffmann

Solution for Tabs is missing - I will provide one Tonight.
Right now I would suggest to go for a fully styled tab instead of an icon.

#7 - 2012-11-29 10:47 - Jens Hoffmann
- Target version deleted (TYPO3 4.5 LTS)

#8 - 2015-07-09 14:00 - Benjamin Mack
- Status changed from Needs Feedback to Closed

fixed in our next CMS 7 version.

Files
Input-States.png 7.5 kB 2012-07-06 Jens Hoffmann
